summaryrefslogtreecommitdiff
path: root/dmake/tests/misc-11
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:27:44 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:27:44 +0000
commit10e9b055f3d197d4ff4b072a8a65caf79383c864 (patch)
tree5926db41a041741fb10e5fa38887797f08b34824 /dmake/tests/misc-11
parent4b76df64734652c2b2681998239f01761a954ddc (diff)
INTEGRATION: CWS dmake45 (1.1.2); FILE ADDED
2006/06/22 20:45:43 vq 1.1.2.2: #i66650# Make dmake testsuite more portable. (Usable with Solaris.) Patch by hjs. 2006/06/16 18:46:56 vq 1.1.2.1: #i65281# Add testcase.
Diffstat (limited to 'dmake/tests/misc-11')
-rwxr-xr-xdmake/tests/misc-1142
1 files changed, 42 insertions, 0 deletions
diff --git a/dmake/tests/misc-11 b/dmake/tests/misc-11
new file mode 100755
index 000000000000..93829497474c
--- /dev/null
+++ b/dmake/tests/misc-11
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# 16.06.2006 Volker Quetschke
+# A comparison with the empty string crashes dmake - equality test with empty
+# string must work too.
+# (issue 65281)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+RHS=
+
+all:
+.IF \$(LHS) == \$(RHS)
+ +@echo "true"
+.ELSE
+ +@echo "false"
+.ENDIF
+
+EOT
+
+output=`eval ${DMAKEPROG} -r -f $file1`
+result=$?
+
+if test "$output" != "true"; then
+ result=1
+fi
+
+test $result -eq 0 && echo "Success - Cleaning up" && rm -f ${tmpfiles}
+test $result -ne 0 && echo "Failure!"
+exit $result